Bug 148135 - Colibre: Group and Ungroup Icons for Shapes Are The Same
Summary: Colibre: Group and Ungroup Icons for Shapes Are The Same
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.4.0
Keywords:
Depends on:
Blocks: Icon-Theme-Colibre
  Show dependency treegraph
 
Reported: 2022-03-22 11:07 UTC by Rizal Muttaqin
Modified: 2022-03-31 11:41 UTC (History)
0 users

See Also:
Crash report or crash signature:
Regression By:


Attachments
Group and Ungroup Icons in Colibre (43.46 KB, image/png)
2022-03-22 11:07 UTC, Rizal Muttaqin
Details
Group (Grupkan/Kelompokkan) and Ungroup (Pisahkan) in MS Office 365 dark mode (9.34 KB, image/png)
2022-03-22 11:10 UTC, Rizal Muttaqin
Details
Here the new icons in right click context menu (51.96 KB, image/png)
2022-03-25 03:25 UTC, Rizal Muttaqin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2022-03-22 11:07:50 UTC
Created attachment 179028 [details]
Group and Ungroup Icons in Colibre

Using Colibre theme, the icons for Group and Ungroup looks very similar. The only difference are just the selection handler and overlapping area in the center.

For ungrouped objects/shapes, the icon should be has more selection handler as it assume two objects/shapes at the same time.

Step to reproduce:

1. Open up any module
2. Insert at least two shapes (Insert Shape)
3. Select both shapes, right click
Comment 1 Rizal Muttaqin 2022-03-22 11:10:15 UTC
Created attachment 179029 [details]
Group (Grupkan/Kelompokkan) and Ungroup (Pisahkan) in MS Office 365 dark mode
Comment 2 Commit Notification 2022-03-22 14:40:01 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/099e432ad93eee3acd6ba0aa5d2a7d68cff7d732

Colibre: tdf#148135 ^ Group and Ungroup icons

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Rizal Muttaqin 2022-03-25 03:25:47 UTC
Created attachment 179092 [details]
Here the new icons in right click context menu
Comment 4 Commit Notification 2022-03-31 11:41:51 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3ded7b2574c081e30285f470dbc33fef9167aa9c

Colibre: tdf#148135 ^ Ungroup icons

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.